### Method

# Json Generator get_pretty

since: 0.14

#### Declaration [src]

    gboolean
    json_generator_get_pretty (
      JsonGenerator* generator
    )

#### Description [src]

Retrieves the value set using `json_generator_set_pretty()`.

Available since: 0.14

Gets property | `Json.Generator:pretty`

#### Return value

Type: `gboolean`

`TRUE` if the generated JSON should be pretty-printed, and `FALSE` otherwise.